{
    "scan": {
        "analyzer-version-gcc": "16.1.1"
    },
    "defects": [
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 764,
                    "column": 21,
                    "h_size": 13,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL ‘tc’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 2707,
                    "column": 16,
                    "h_size": 30,
                    "event": "enter_function",
                    "message": "entry to ‘talloc_vasprintf_append_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 2712,
                    "column": 24,
                    "h_size": 31,
                    "event": "call_function",
                    "message": "calling ‘talloc_vasprintf’ from ‘talloc_vasprintf_append_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 2627,
                    "column": 16,
                    "h_size": 16,
                    "event": "enter_function",
                    "message": "entry to ‘talloc_vasprintf’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 2629,
                    "column": 35,
                    "h_size": 25,
                    "event": "call_function",
                    "message": "calling ‘_vasprintf_tc’ from ‘talloc_vasprintf’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 2590,
                    "column": 29,
                    "h_size": 13,
                    "event": "enter_function",
                    "message": "entry to ‘_vasprintf_tc’",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 2598,
                    "column": 30,
                    "h_size": 2,
                    "event": "release_memory",
                    "message": "‘tc’ is NULL",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 2604,
                    "column": 12,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch...",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 2607,
                    "column": 9,
                    "h_size": 10,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 2612,
                    "column": 23,
                    "h_size": 1,
                    "event": "call_function",
                    "message": "inlined call to ‘__talloc’ from ‘_vasprintf_tc’",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 825,
                    "column": 16,
                    "h_size": 42,
                    "event": "call_function",
                    "message": "calling ‘__talloc_with_prefix’ from ‘_vasprintf_tc’",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 739,
                    "column": 21,
                    "h_size": 20,
                    "event": "enter_function",
                    "message": "entry to ‘__talloc_with_prefix’",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 749,
                    "column": 12,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following ‘true’ branch...",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 750,
                    "column": 17,
                    "h_size": 22,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 753,
                    "column": 12,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch...",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 757,
                    "column": 13,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 757,
                    "column": 12,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch...",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 761,
                    "column": 13,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 761,
                    "column": 12,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following ‘true’ branch...",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 762,
                    "column": 26,
                    "h_size": 30,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 762,
                    "column": 26,
                    "h_size": 30,
                    "event": "call_function",
                    "message": "calling ‘talloc_chunk_from_ptr’ from ‘__talloc_with_prefix’",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 523,
                    "column": 36,
                    "h_size": 21,
                    "event": "enter_function",
                    "message": "entry to ‘talloc_chunk_from_ptr’",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 527,
                    "column": 12,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following ‘true’ branch...",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 528,
                    "column": 20,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 535,
                    "column": 17,
                    "h_size": 1,
                    "event": "call_function",
                    "message": "inlined call to ‘talloc_abort_unknown_value’ from ‘talloc_chunk_from_ptr’",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 519,
                    "column": 9,
                    "h_size": 54,
                    "event": "call_function",
                    "message": "calling ‘talloc_abort’ from ‘talloc_chunk_from_ptr’",
                    "verbosity_level": 6
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 501,
                    "column": 13,
                    "h_size": 12,
                    "event": "enter_function",
                    "message": "entry to ‘talloc_abort’",
                    "verbosity_level": 6
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 505,
                    "column": 12,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch...",
                    "verbosity_level": 6
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 509,
                    "column": 9,
                    "h_size": 23,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 6
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 535,
                    "column": 17,
                    "h_size": 1,
                    "event": "call_function",
                    "message": "inlined call to ‘talloc_abort_unknown_value’ from ‘talloc_chunk_from_ptr’",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 519,
                    "column": 9,
                    "h_size": 54,
                    "event": "return_function",
                    "message": "returning to ‘talloc_chunk_from_ptr’ from ‘talloc_abort’",
                    "verbosity_level": 6
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 762,
                    "column": 26,
                    "h_size": 30,
                    "event": "return_function",
                    "message": "returning to ‘__talloc_with_prefix’ from ‘talloc_chunk_from_ptr’",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/talloc.c",
                    "line": 764,
                    "column": 21,
                    "h_size": 13,
                    "event": "danger",
                    "message": "dereference of NULL ‘talloc_chunk_from_ptr(context)’",
                    "verbosity_level": 4
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 690,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 172,
                    "column": 15,
                    "h_size": 16,
                    "event": "warning[-Wanalyzer-possible-null-argument]",
                    "message": "use of possibly-NULL ‘x’ where non-null expected",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 170,
                    "column": 13,
                    "h_size": 13,
                    "event": "acquire_memory",
                    "message": "this call could return NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 172,
                    "column": 15,
                    "h_size": 16,
                    "event": "danger",
                    "message": "argument 2 (‘x’) from [(1)](sarif:/runs/0/results/0/codeFlows/0/threadFlows/0/locations/0) could be NULL where non-null expected",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 775,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 189,
                    "column": 16,
                    "h_size": 1,
                    "event": "warning[-Wanalyzer-fd-leak]",
                    "message": "leak of file descriptor ‘fd’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1174,
                    "column": 6,
                    "h_size": 21,
                    "event": "enter_function",
                    "message": "entry to ‘torture_local_replace’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1178,
                    "column": 16,
                    "h_size": 14,
                    "event": "call_function",
                    "message": "calling ‘test_strlcpy’ from ‘torture_local_replace’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 95,
                    "column": 12,
                    "h_size": 12,
                    "event": "enter_function",
                    "message": "entry to ‘test_strlcpy’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 110,
                    "column": 18,
                    "h_size": 5,
                    "event": "branch_true",
                    "message": "following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 111,
                    "column": 21,
                    "h_size": 39,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1178,
                    "column": 16,
                    "h_size": 14,
                    "event": "return_function",
                    "message": "returning to ‘torture_local_replace’ from ‘test_strlcpy’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1222,
                    "column": 16,
                    "h_size": 16,
                    "event": "call_function",
                    "message": "calling ‘test_closefrom’ from ‘torture_local_replace’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1098,
                    "column": 13,
                    "h_size": 14,
                    "event": "enter_function",
                    "message": "entry to ‘test_closefrom’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1102,
                    "column": 19,
                    "h_size": 5,
                    "event": "branch_true",
                    "message": "following ‘true’ branch (when ‘i != 100’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1103,
                    "column": 22,
                    "h_size": 6,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1103,
                    "column": 22,
                    "h_size": 6,
                    "event": "acquire_resource",
                    "message": "opened here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1104,
                    "column": 20,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch (when ‘fd != -1’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1112,
                    "column": 20,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 189,
                    "column": 16,
                    "h_size": 1,
                    "event": "danger",
                    "message": "‘fd’ leaks here; was opened at [(11)](sarif:/runs/0/results/1/codeFlows/0/threadFlows/0/locations/10)",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 690,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 271,
                    "column": 15,
                    "h_size": 13,
                    "event": "warning[-Wanalyzer-possible-null-dereference]",
                    "message": "dereference of possibly-NULL ‘x’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 270,
                    "column": 13,
                    "h_size": 17,
                    "event": "acquire_memory",
                    "message": "this call could return NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 271,
                    "column": 15,
                    "h_size": 13,
                    "event": "danger",
                    "message": "‘x’ could be NULL: unchecked value from [(1)](sarif:/runs/0/results/2/codeFlows/0/threadFlows/0/locations/0)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 690,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 279,
                    "column": 15,
                    "h_size": 15,
                    "event": "warning[-Wanalyzer-possible-null-argument]",
                    "message": "use of possibly-NULL ‘x’ where non-null expected",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 270,
                    "column": 13,
                    "h_size": 17,
                    "event": "acquire_memory",
                    "message": "this call could return NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 273,
                    "column": 12,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 278,
                    "column": 13,
                    "h_size": 17,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 278,
                    "column": 13,
                    "h_size": 17,
                    "event": "acquire_memory",
                    "message": "this call could return NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 279,
                    "column": 15,
                    "h_size": 15,
                    "event": "danger",
                    "message": "argument 1 (‘x’) from [(5)](sarif:/runs/0/results/3/codeFlows/0/threadFlows/0/locations/4) could be NULL where non-null expected",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 775,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1131,
                    "column": 1,
                    "h_size": 1,
                    "event": "warning[-Wanalyzer-fd-leak]",
                    "message": "leak of file descriptor ‘fd’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1102,
                    "column": 19,
                    "h_size": 5,
                    "event": "branch_true",
                    "message": "following ‘true’ branch (when ‘i != 100’)...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1103,
                    "column": 22,
                    "h_size": 6,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1103,
                    "column": 22,
                    "h_size": 6,
                    "event": "acquire_resource",
                    "message": "opened here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1104,
                    "column": 20,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch (when ‘fd != -1’)...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1112,
                    "column": 20,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/testsuite.c",
                    "line": 1131,
                    "column": 1,
                    "h_size": 1,
                    "event": "danger",
                    "message": "‘fd’ leaks here; was opened at [(3)](sarif:/runs/0/results/4/codeFlows/0/threadFlows/0/locations/2)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 690,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 114,
                    "column": 14,
                    "h_size": 10,
                    "event": "warning[-Wanalyzer-possible-null-argument]",
                    "message": "use of possibly-NULL ‘opendir(\"test.dir\")’ where non-null expected",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 95,
                    "column": 5,
                    "h_size": 23,
                    "event": "enter_function",
                    "message": "entry to ‘test_readdir_os2_delete’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 104,
                    "column": 9,
                    "h_size": 14,
                    "event": "call_function",
                    "message": "calling ‘create_files’ from ‘test_readdir_os2_delete’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 44,
                    "column": 13,
                    "h_size": 12,
                    "event": "enter_function",
                    "message": "entry to ‘create_files’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 47,
                    "column": 18,
                    "h_size": 3,
                    "event": "branch_true",
                    "message": "following ‘true’ branch (when ‘i != 700’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 50,
                    "column": 17,
                    "h_size": 56,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 104,
                    "column": 9,
                    "h_size": 14,
                    "event": "return_function",
                    "message": "returning to ‘test_readdir_os2_delete’ from ‘create_files’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 109,
                    "column": 12,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following ‘false’ branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 111,
                    "column": 13,
                    "h_size": 16,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 111,
                    "column": 13,
                    "h_size": 16,
                    "event": "acquire_memory",
                    "message": "this call could return NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/lib/replace/tests/os2_delete.c",
                    "line": 114,
                    "column": 14,
                    "h_size": 10,
                    "event": "danger",
                    "message": "argument 1 (‘opendir(\"test.dir\")’) from [(9)](sarif:/runs/0/results/0/codeFlows/0/threadFlows/0/locations/8) could be NULL where non-null expected",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1334,
                    "column": 9,
                    "h_size": 1,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_autofree_context’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1337,
                    "column": 9,
                    "h_size": 1,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_autofree_context’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1680,
                    "column": 9,
                    "h_size": 14,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_set_memlimit’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1740,
                    "column": 9,
                    "h_size": 14,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_set_memlimit’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1753,
                    "column": 9,
                    "h_size": 14,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_set_memlimit’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1787,
                    "column": 9,
                    "h_size": 14,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_set_memlimit’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1820,
                    "column": 9,
                    "h_size": 19,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_set_memlimit’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1873,
                    "column": 9,
                    "h_size": 19,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_set_memlimit’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1885,
                    "column": 9,
                    "h_size": 19,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_set_memlimit’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1923,
                    "column": 9,
                    "h_size": 19,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_set_memlimit’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libtalloc-2.4.4-build/talloc-2.4.4/testsuite.c",
                    "line": 1944,
                    "column": 9,
                    "h_size": 19,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘talloc_set_memlimit’ is deprecated",
                    "verbosity_level": 0
                }
            ]
        }
    ]
}
